### Method

# ECal Component set_status

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_status (
      ECalComponent* comp,
      ICalPropertyStatus status
    )

#### Description [src]

Sets the status property of a calendar component object.

Available since: 3.34

#### Parameters

`status`

  Type: `ICalPropertyStatus`

  Status value, as an `ICalPropertyStatus`. Use `I_CAL_STATUS_NONE`, to unset the property.